# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "durl"
version = "0.2.4"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "multi fiber download http file."
documentation = "https://docs.rs/download-file"
readme = "README.md"
license = "MIT/Apache-2.0"
repository = "https://github.com/luyikk/download"

[[bin]]
name = "durl"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.download-lib]
version = "0.2.6"

[dependencies.env_logger]
version = "0.9"

[dependencies.log]
version = "0.4"

[dependencies.structopt]
version = "0.3"

[dependencies.tokio]
version = "1"
features = ["full"]

[profile.release]
lto = "fat"
codegen-units = 1
panic = "abort"
